/*For HTML files' side nav menu only*/

/*Checkbox input*/
#hamburger-input {
	display: none;
}

/*Hamburger Button Styling*/
/*The enire menu serves as 
the Label to the checkbox (menu) 
and is reduced to a button*/
#hamburger-menu {
	position: fixed;
	top: 10px;
	right: 15px;
	width: 25px;
	height: 25px;
	display: none;
	border: none;
	padding: 0px;
	margin: 0px;
	font-family: "Noto Sans", sans-serif;
	background: linear-gradient(
		to bottom,
		rgb(255, 255, 255),
		rgb(255, 253, 253) 20%,
		rgba(255, 255, 255, 0) 20%,
		rgba(255, 255, 255, 0) 40%,
		rgb(255, 254, 254) 40%,
		rgb(255, 255, 255) 60%,
		rgba(255, 255, 255, 0) 60%,
		rgba(255, 255, 255, 0) 80%,
		rgb(255, 255, 255) 80%,
		rgb(255, 255, 255) 100%
	);
}

/*Common Settings: Hamburger Button & Sidebar Styling*/
#hamburger-menu 
#sidebar-menu {
	visibility: hidden;
	position: fixed;
	top: 0;
	left: -300px;
	width: 290px;
	height: 100%;
	background-color: rgba(99, 0, 49, 0.897); /*20% transparency*/
	transition: 0.3s;
	padding: 20px 10px;
	box-sizing: border-box;
}

/*Translucent black overlay*/
.overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.35s, visibility 0.35s, height 0.35s;
	overflow: hidden;
	background: black;
	z-index: -1;
}

 /*MENU Heading*/
#hamburger-menu h4 {
	font-family: Noto sans;
	color: #f7f7ff;
	font-size: 1.4rem;
	font-weight: 700;
	padding-top: 0%; /*Clearing for site logo*/
}

#hamburger-menu ul {
	padding-left: 0px;
}

#hamburger-menu li {
	list-style-type: none;
	line-height: 2.2rem; /*LINE HEIGHT OF MENU ITEMS*/
}

#hamburger-menu ul .subsub {
	padding-left: 18px; /*Left indenting OF SubMENU ITEMS*/
}

#hamburger-menu a {
	color: #e9e9e9;
	font-family: Noto sans;
	font-size: 0.9rem; /*FONT SIZE OF MENU ITEMS*/
	text-decoration: none;
}

#hamburger-menu a:hover {
	text-decoration: none;
	font-weight:700;
}

#hamburger-input:checked + #hamburger-menu #sidebar-menu {
	visibility: visible;
	left: 0;
}
#hamburger-input:checked ~ .overlay {
	visibility: visible;
	opacity: 0.4;
}

/*RESPONSIVE DESIGN*/
/*The entire label (menu will become visible 
as inline block only on small screens*/
 @media (max-width: 900px) {
	#hamburger-menu {
		display: inline;
		z-index: 9;
	}
	.overlay {
		z-index: 8;
	}
}
